'----------------------------------------------------------------------------------------
'    Name:  datafiles_V007.inc
'    Type:  TIGER-BASIC(tm) Source Code
' Purpose:  all icluded files saved in the flash memory
'
'
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tigers in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (english)
'	email: support@wilke.de              (german)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (english)
'	www.wilke.de                         (german)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'----------------------------------------------------------------------------------------
'
' here are listed all files saved in flash memory
' for the embedded webserver:
' "HTTP_server_test_V[vers].tig"
'
' A String is needed with the
' name of the files saved in flash memory, also in the same order as in flash.
' The separator character between the names is a blank. If a path is needed,
' it's nearly possible. You only have to save this path within the name, eg.
' "applPath/demoFile.xxx"
'
' What to do, if you want to append a new file in flash memory:
' 1) copy file in directory of this programm
' 2) increase anzFiles
' 3) add a DATALABEL with a predicative name
' 4) append name of file to files$
'   important:
'   1) between every name of file has to be 1 blank ( and only 1 )
'   2) at the end of the string has to be 2 blanks
' 5) if length of files$ is too short, increase fileStringLength
' 6) insert following lines before the line "ende::":
'   1) [name of datalabel]::
'   2) DATA FILE "[name of file]"
'   3) filesAdr(x) = [name of datalabel]
'   4) x = x + 1
'   5) [empty line]
'
' What to do, if you want to delete a file in flash memory:
' 1) decrease anzFiles
' 2) delete name of the file from files$
'   important:
'   1) between every name of file has to be 1 blank ( and only 1 )
'   2) at the end of the string has to be 2 blanks
' 3) search for DATA FILE "[name of file]"
' 4) memorize the name of the datalabel above and delete this line
' 5) delete the 2 line under DATA FILE "[name of file]"
' 6) delete the line with DATA FILE "[name of file]"
' 7) delete the declaration of the memorized datalabel
'
'
'----------------------------------------------------------------------------------------

#ifndef datafiles_
#define datafiles_


#define anzFiles 16			'number of files saved in flash for http + 1
#define fileStringLength 288		'size of string, where name of files are saved

ARRAY filesAdr(anzFiles) of long		'adresses of http-files in flash
string files$(fileStringLength)			'String where names of files are saved

DATALABEL index_, pressed_button, arrow_left,&
arrow_up, arrow_down, arrow_right, arrow_mid, arrow_up_dis, arrow_mid_dis, arrow_down_dis,&
arrow_left_dis, arrow_right_dis, ende, java_applet, head_html, schatten


sub datafiles

byte x

'in this string we save the name of the files in the order we save it in flash
#cm
  files$ = " index.html pressed_button.html arrow-up.gif arrow-down.gif arrow-left.gif arrow-right.gif index.gif arrow-up-disabled.gif &
arrow-down-disabled.gif arrow-left-disabled.gif arrow-right-disabled.gif index-disabled.gif MyApplet_V002.class  "
#endcm
  files$ = let$(" index.html main_page_V002.html linke_Seite_V004.html &
ping.gif MyApplet_V002.class logo.gif SeiteHintr.png head_internat.png Sub1b.png help.html arrows_back.gif &
Sub2.png tiger.css headPic.html schatten_V002.png  ")
  'for every file we set a datalabel an saves the value in an array of long vars
  'at the end of all files we set again a datalabel and saves the value to the array
  x = 0
  index_::
  ''DATA FILE "index.html"
  DATA FILE "Index_V004.html"
  filesAdr(x) = index_
  x = x + 1

  pressed_button::
  DATA FILE "main_page_V002.html"
  filesAdr(x) = pressed_button
  x = x + 1

  arrow_down::
  DATA FILE "linke_Seite_V004.html"
  filesAdr(x) = arrow_down
  x = x + 1

  arrow_left::
  DATA FILE "ping.gif"
  filesAdr(x) = arrow_left
  x = x + 1

  java_applet::
  DATA FILE "MyApplet_V002.class"
  filesAdr(x) = java_applet
  x = x + 1

  arrow_right::
  DATA FILE "logo.gif"
  filesAdr(x) = arrow_right
  x = x + 1

  arrow_mid::
  DATA FILE "SeiteHintr.png"
  filesAdr(x) = arrow_mid
  x = x + 1

  arrow_up_dis::
  DATA FILE "head_internat.png"
  filesAdr(x) = arrow_up_dis
  x = x + 1

  arrow_down_dis::
  DATA FILE "Sub1b.png"
  filesAdr(x) = arrow_down_dis
  x = x + 1

  arrow_up::
  DATA FILE "help.html"
  filesAdr(x) = arrow_up
  x = x + 1

  arrow_left_dis::
  DATA FILE "arrows_back.gif"
  filesAdr(x) = arrow_left_dis
  x = x + 1

  arrow_right_dis::
  DATA FILE "Sub2.png"
  filesAdr(x) = arrow_right_dis
  x = x + 1

  arrow_mid_dis::
  DATA FILE "tiger.css"
  filesAdr(x) = arrow_mid_dis
  x = x + 1

  head_html::
  DATA FILE "headPic.html"
  filesAdr(x) = head_html
  x = x + 1

  schatten::
  DATA FILE "schatten_V002.png"
  filesAdr(x) = schatten
  x = x + 1


  ende::
  filesAdr(x) = ende

  #cm


  #endcm



end

#endif

