'----------------------------------------------------------------------------------------
'    Name:  HTTP_Protokoll_Defines_V004.inc
'    Type:  TIGER-BASIC(tm) Source Code
' Purpose:  all defines for embedded webserver
'
'
'
'  (C) - Copyright Wilke Technology, P.O.Box 1727, D-52018 Aachen, Germany
'----------------------------------------------------------------------------------------
'
' Thank you for using BASIC Tigers in your products. If you have questions, ideas
' or special needs, please contact your next distributor or the Tiger support team
' and visit our web site:
'
'	Wilke Technology GmbH
'	The Tiger Support Team
'	P.O.Box 1727,       D-52018 Aachen, Germany
'	Krefelder Str. 147, D-52070 Aachen, Germany
'
'	email: support@wilke-technology.com  (english)
'	email: support@wilke.de              (german)
'	Phone: +49 (241) 918 900    Mo to Fr, 7:00 to 16:00 (GMT)
'	Fax:   +49 (241) 918 9068
'
' New information, new drivers and free downloads see:
'
'	www.wilke-technology.com	     (english)
'	www.wilke.de                         (german)
'
' Sincerely,
'
'	Your Tiger Support Team
'
'----------------------------------------------------------------------------------------
'
' here are listed all defines for
' the embedded webserver:
' "HTTP_server_test_V[vers].tig"
'
'
'----------------------------------------------------------------------------------------


'---------------- else settings ----------------------------------------------------------
#define KommandoTrenner " "
#define DEBUGME				'debug information

'---------------- string sizes -------------------------------------------------------------
'#define maxRequestSize 32765		'maximum Size of request -> Size of string request$ 
#define maxRequestSize 7000		'maximum Size of request -> Size of string request$ 
#define maxAnswerSize maxRequestSize	'maximum size of answer HTTP -> size of string answer$
#define maxHeaderSize 500  		'maximum size of header of HTTP request
#define maxEntitySize 5000		'maximum size of entity (body) of HTTP request
#define receivedSize maxRequestSize		'Size of String received&received2 in EM_IR and .tig

'---------------- often used strings -----------------------------------------------------
#define TbCrLf "<13><10>"		'String carriage return, line feed
#define Tb2xCrLf "<13><10><13><10>"	'String 2 times carriage return, line feed
#define TbSpace " "			'String with one space

'--------------- parameters ----------------------------------------------------------------
#define TRUE 1
#define FALSE 0
#define PORT_HTTP 0
#define PORT_APPLET 1
#define FREE 0
#define USED 1

' kind of request
#define dGET 1
#define dHEAD 2
#define dPOST 3

#define cgi_dir 1
#define std_doc 2

#define cgi_directory "cgi-bin"

'-------------- ethernet data -------------------------------------------------------------
#define dip_adress 0C0A801CFH	' = 192.168.1.207
#define dport 50H		' = 80
#define dgateway 0C0A801FDH	' = 192.168.1.253
#define dsubnetmask 0FFFFFF00H	' = 255.255.255.0

#define maxSockets 5 		'before = TS_SERVER_BACK_LOG_NUM


'--------------------- HTTP status codes ----------------------------------------------------
#define HTTP_OK "200 OK"
#define HTTP_OK_POST "201"
#define HTTP_OK_INCOMPLETE "202"
#define HTTP_OK_PARTIAL "203"
#define HTTP_OK_NORESPONSE "204 No Content"

#define HTTP_MULTIPLECHOICE "300"
#define HTTP_MOVED "301"
#define HTTP_TEMPMOVED "302"
#define HTTP_NOTMODIFIED "303"

#define HTTP_BADREQUEST "400 Bad Request"
#define HTTP_UNAUTHORIZED "401 Authorization Required"
#define HTTP_FORBIDDEN "403"
#define HTTP_NOTFOUND "404 Not Found"

#define HTTP_INTERNALERROR "500"
#define HTTP_NOTIMPLEMENTED "501 Not Implemented"
#define HTTP_BADGATEWAY "502"
#define HTTP_SERVICEUNAVAIL "503 Service Unavailable"

#cm
     "100"  ; Section 10.1.1: Continue
          | "101"  ; Section 10.1.2: Switching Protocols
          | "200"  ; Section 10.2.1: OK
          | "201"  ; Section 10.2.2: Created
          | "202"  ; Section 10.2.3: Accepted
          | "203"  ; Section 10.2.4: Non-Authoritative Information
          | "204"  ; Section 10.2.5: No Content
          | "205"  ; Section 10.2.6: Reset Content
          | "206"  ; Section 10.2.7: Partial Content
          | "300"  ; Section 10.3.1: Multiple Choices
          | "301"  ; Section 10.3.2: Moved Permanently
          | "302"  ; Section 10.3.3: Found
          | "303"  ; Section 10.3.4: See Other
          | "304"  ; Section 10.3.5: Not Modified
          | "305"  ; Section 10.3.6: Use Proxy
          | "307"  ; Section 10.3.8: Temporary Redirect
          | "400"  ; Section 10.4.1: Bad Request
          | "401"  ; Section 10.4.2: Unauthorized
          | "402"  ; Section 10.4.3: Payment Required
          | "403"  ; Section 10.4.4: Forbidden
          | "404"  ; Section 10.4.5: Not Found
          | "405"  ; Section 10.4.6: Method Not Allowed
          | "406"  ; Section 10.4.7: Not Acceptable

          | "407"  ; Section 10.4.8: Proxy Authentication Required
          | "408"  ; Section 10.4.9: Request Time-out
          | "409"  ; Section 10.4.10: Conflict
          | "410"  ; Section 10.4.11: Gone
          | "411"  ; Section 10.4.12: Length Required
          | "412"  ; Section 10.4.13: Precondition Failed
          | "413"  ; Section 10.4.14: Request Entity Too Large
          | "414"  ; Section 10.4.15: Request-URI Too Large
          | "415"  ; Section 10.4.16: Unsupported Media Type
          | "416"  ; Section 10.4.17: Requested range not satisfiable
          | "417"  ; Section 10.4.18: Expectation Failed
          | "500"  ; Section 10.5.1: Internal Server Error
          | "501"  ; Section 10.5.2: Not Implemented
          | "502"  ; Section 10.5.3: Bad Gateway
          | "503"  ; Section 10.5.4: Service Unavailable
          | "504"  ; Section 10.5.5: Gateway Time-out
          | "505"  ; Section 10.5.6: HTTP Version not supported
#endcm

'----------------- HTTP standard strings --------------------------------------------------
#define HTTP_version "HTTP/1.1 "
#define HTTP_server "Server: TINY TIGER TCN 1/4 HTTP-Server V1.1<13><10>"
#define HTTP_out_of_memory "Please try again"
#define HTTP_content_length "Content-Length: "
#define HTTP_connection "Connection"
#define HTTP_content_type "Content-Type: "


'------------------ define content Types ---------------------------------
'Internet intern S. 846
'text
#define html "text/html"
#define plain "text/plain"

'images
#define jpg "image/jpeg"
#define jpeg "image/jpeg"
#define gif "image/gif"
#define png "image/png"

'video
#define mpeg "video/mpeg"

'applications
#define msword "application/msword"


'	add your own if they are needed...

'--------------------------  Multisockets ---------------------------------
#define anzReceivedArray 12
#define received_size 2k

